DELIMITER mysolus$$
	CREATE  OR REPLACE  FUNCTION  F_Sort_Communication_Channel (V_Communication_Channel VARCHAR(50)) RETURNS varchar(50) CHARSET latin1 BEGIN      Declare V_Channel VARCHAR(50) default '';   set V_Channel=V_Communication_Channel;     if (V_Channel like '%Email%') then        set @V_Email='Email ';         else       set @V_Email ='';  end if;        if (V_Channel like '%SMS%') then        set @V_SMS='SMS ';        else       set @V_SMS ='';   end if;     if (V_Channel like '%PN%') then        set @V_PN='PN ';         else        set @V_PN ='';      end if;    if (V_Channel like '%WhatsApp%') then        set @V_WhatsApp='WhatsApp';        else       set @V_WhatsApp ='';    end if;           set @V_Communication_Channel_R = concat(@V_Email,@V_SMS,@V_PN,@V_WhatsApp);                  RETURN @V_Communication_Channel_R;   END			
mysolus$$
